## org.plovr
Class ConfigParser

    java.lang.Object
      org.plovr.ConfigParser

    public final class ConfigParser

extends Object

`ConfigParser` extracts a `Config` from a JSON config file.

Author:
  bolinfest@gmail.com (Michael Bolin)

Method Summary
`static Config.Builder` `createBuilderFromFile(File file)`
`static Config` `parseFile(File file)`
`static Config` `update(Config config, QueryData queryData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createBuilderFromFile

    public static Config.Builder createBuilderFromFile(File file)
                                                throws IOException

  Throws:
    `IOException`

### parseFile

    public static Config parseFile(File file)
                            throws IOException

  Throws:
    `IOException`

### update

    public static Config update(Config config,
                                QueryData queryData)